﻿@model eCommerce.Services.Model.Order
@using eCommerce.Services.Model.Enums
@using eCommerce.Services.Utils

<div class="col-md-3 text-left">
    <h4>
        <img class="margin-right-10" src="/content/assets/images/logo_site.png" alt="Brishka" style="height:40px; margin-top: -15px;margin-bottom: 7px;">
    </h4>
</div>

<table class="table table-responsive table-hover" style="text-transform:uppercase;">
    <tbody>
        <tr>
            <th width="15%" class="text-right" nowrap="nowrap">Cliente:</th>
            <td width="25%" class="text-left" nowrap="nowrap">
                @Model.Customer.FullName
            </td>
            <th width="15%" class="text-right" nowrap="nowrap">Orden Nro.:</th>
            <td class="text-left">
                #@Model.OrderId - @Model.Created.Date.ToShortDateString() - Tienda @(((UserTypeEnum)Model.StoreType).ToString()) -

                @switch (((PaymentMethodEnum)Model.PaymentMethodId))
                {
                    case PaymentMethodEnum.MercadoPago:
                        <label>Mercado Pago</label>
                        break;
                    case PaymentMethodEnum.TransferenciaBancaria:
                        <label>Transferencia</label>
                        break;
                    case PaymentMethodEnum.Efectivo:
                        <label>Efectivo</label>
                        break;
                    default:
                        <label>@((PaymentMethodEnum)Model.PaymentMethodId)</label>
                        break;
                }
            </td>
        </tr>
        <tr>
            <th class="text-right" nowrap="nowrap">Email</th>
            <td class="text-left" nowrap="nowrap">@Model.Customer.Email</td>
            <th class="text-right" nowrap="nowrap">CUIT:</th>
            <td class="text-left" nowrap="nowrap">@Model.Customer.CUIT</td>
        </tr>
        <tr>
            <th class="text-right" nowrap="nowrap">DNI</th>
            <td class="text-left" nowrap="nowrap">@Model.Customer.DNI</td>
            <th class="text-right" nowrap="nowrap">Teléfono:</th>
            <td class="text-left" nowrap="nowrap">@Model.Customer.Cellphone</td>
        </tr>

        @*@if (Model.Customer.UserType == (int)UserTypeEnum.Mayorista)
            {
                <tr>
                    <th class="text-right" nowrap="nowrap">Condición IVA</th>
                    <td class="text-left" nowrap="nowrap">@(Model.Customer.IvaConditionId.HasValue ? ((IvaConditionEnum)Model.Customer.IvaConditionId).ToString() : string.Empty)</td>
                    <th class="text-right" nowrap="nowrap">Dir. de Facturación</th>
                    <td class="text-left" nowrap="nowrap">@Model.Customer.BillingAddress</td>
                </tr>
            }*@

        <tr>
            <th class="text-right" nowrap="nowrap">Provincia y Ciudad:</th>
            <td class="text-left" nowrap="nowrap">@(Model.Customer.Province != null ? Model.Customer.Province.Name + " -" : string.Empty) @Model.Customer.City</td>
            <th class="text-right" nowrap="nowrap">Celular:</th>
            <td class="text-left" nowrap="nowrap">@Model.Customer.Cellphone</td>
        </tr>

        <tr>
            <th class="text-right" nowrap="nowrap">Forma de Entrega:</th>
            <td class="text-left" nowrap="nowrap">
                @string.Format("{0:c2}", Model.DeliveryMethod.Name)
                @if (Model.DestinationShipmentId.HasValue)
                {
                    <span>(@(Model.DestinationShipmentId.Value == @Utility.DomicilioCaba ? Utility.DomicilioCaba.ToString() : @Utility.DomicilioGba.ToString()))</span>
                }
            </td>
            @if (Model.ShippingCost.HasValue && Model.ShippingCost.Value > 0)
            {
                <th class="text-right" nowrap="nowrap">Costo de entrega:</th>
                <td class="text-left" nowrap="nowrap">$@Model.ShippingCost.Value (ARS)</td>
            }
            else
            {
                <th class="text-right" nowrap="nowrap"></th>
                <td class="text-left" nowrap="nowrap"></td>
            }

        </tr>

        <tr>
            <th class="text-right" nowrap="nowrap">Código postal:</th>
            <td class="text-left" nowrap="nowrap">@(Model.Customer.ZipCode)</td>
            @if (Model.BankInterestId.HasValue && Model.BankInterestId > 0)
            {
                <th class="text-right" nowrap="nowrap">Detalles del Pago:</th>
                <td class="text-left" nowrap="nowrap">@(Model.BankInterest.Name)</td>
            }
            else
            {
                <th class="text-right" nowrap="nowrap"></th>
                <td class="text-left" nowrap="nowrap"></td>
            }
        </tr>

        @if (Model.DeliveryMethodId == @Utility.Transporte)
        {
            <tr>
                <th class="text-right" nowrap="nowrap">Empresa de transporte:</th>
                <td class="text-left" nowrap="nowrap">@Model.Customer.ShipmentCompany</td>
                <th class="text-right" nowrap="nowrap">Dirección de Entrega:</th>
                <td class="text-left" nowrap="nowrap">@Model.Customer.ShipmentCompanyAddress</td>
            </tr>
        }

        @if (Model.DeliveryMethodId == @Utility.DomicilioCaba || Model.DeliveryMethodId == @Utility.DomicilioGba)
        {
            <tr>
                <th class="text-right" nowrap="nowrap">Dir. de entrega:</th>
                <td class="text-left" colspan="3">@Model.DeliveryAddress</td>
            </tr>
        }
        @if (!string.IsNullOrWhiteSpace(Model.Observations))
        {
            <tr>
                <th class="text-right">Observaciones:</th>
                <td class="text-left" colspan="3">@Model.Observations</td>
            </tr>
        }
        @if (Model.PaymentMethodId == Utility.MercadoPago && Model.MPAccount != null)
        {
            <tr>
                <th class="text-right">Cuenta de Mercado Pago:</th>
                <td class="text-left" colspan="3">@Model.MPAccount.Description</td>
            </tr>
        }
    </tbody>
</table>
